package org.springblade.finance.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.finance.entity.IntOndaterangeAccountFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.finance.vo.*;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-11-29
 */
public interface IntOndaterangeAccountFileMapper extends BaseMapper<IntOndaterangeAccountFile> {

    List<DateRangeAccountFzzVO> getFzzDetail(@Param("sid") String sid);

	List<DateRangeAccountKftpVO> getKftpDetail(@Param("sid") String sid);

	List<DateRangeAccountSfwyVO> getDfwyDetail(@Param("sid") String sid);

	List<DateRangeAccountTzjeVO> getTzjeDetail(@Param("sid") String sid);

	List<DateRangeAccountBgfdzVO> getBgfdzDetail(@Param("sid") String sid);

}
